<?php

session_start();

header('Access-Control-Allow-Origin:*');

header('Content-Type; application/json; charset=utf-8');

header('Access-control-Allow-Method: POST');

header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');

include('db.php');


    $inputdata = json_decode(file_get_contents("php://input"), true);

    $username = $inputdata['username'];
    $useremail = $inputdata['useremail'];
    $userid = $inputdata['userid'];

    $nbr="";

    
    // verifier si user existant

    $agence_verif=$db->prepare('SELECT COUNT(userid) AS nbr FROM tbl_user WHERE username=? OR useremail=? AND userid<>?');

    $agence_verif->execute(array($username,$useremail,$userid));

    while($agence_verifs=$agence_verif->fetch()){

        $nbr=$agence_verifs['nbr'];

    }

     if ($nbr <= 1) {

        # modifier

        $user=$db->prepare('UPDATE tbl_user SET username=?, useremail=? WHERE userid=?');

        $user->execute(array($username, $useremail, $userid));

        if ($user) {
                //création agence réussie

                echo (json_encode(['response' => 1]));



        }else{
            // création non réussie

            echo (json_encode(['response' => 0]));

            

        }

     }else {
        // user existe déjà

        echo (json_encode(['response' => -1]));

     }
